petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMRestoreLocalVector

Returns a Seq PETSc vector that obtained from DMGetLocalVector(). Do not use with vector obtained via DMCreateLocalVector().

### Synopsis

    #include "petscdm.h"
    PetscErrorCode  DMRestoreLocalVector(DM dm,Vec *g)

Not Collective

### Input Parameter

| dm | - the distributed array
| g | - the local vector

### Keywords

distributed array, create, local, vector

### See Also

DMCreateGlobalVector(), VecDuplicate(), VecDuplicateVecs(),
DMDACreate1d(), DMDACreate2d(), DMDACreate3d(), DMGlobalToLocalBegin(), DMGlobalToLocalEnd(), DMLocalToGlobalBegin(), DMCreateLocalVector(), DMGetLocalVector()

### Level

beginner

### Location

src/dm/interface/dmget.c

### Examples

src/dm/examples/tutorials/ex13f90.F90.html
src/ksp/ksp/examples/tutorials/ex42.c.html
src/ksp/ksp/examples/tutorials/ex43.c.html
src/ksp/ksp/examples/tutorials/ex49.c.html
src/ksp/ksp/examples/tutorials/ex69.c.html
src/ksp/ksp/examples/tutorials/ex70.c.html
src/snes/examples/tutorials/ex3.c.html
src/snes/examples/tutorials/ex5.c.html
src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex14.c.html
src/snes/examples/tutorials/ex15.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages